Set agent user id
Can modify existing signing key id if the key is not enabled. The change done in background and will be visible once applied. If key is already enabled (after proof of ownership) the user cannot be changed.
PATCH
/
key_link
/
signing_keys
/
{keyId}
/
agent_user_id
TypeScript
const response: Promise<FireblocksResponse<void>> = fireblocks.keyLinkBeta.setAgentId(keyLinkBetaApiSetAgentIdRequest);CompletableFuture<ApiResponse<Void>> response = fireblocks.keyLinkBeta().setAgentId(modifySigningKeyAgentIdDto, keyId);response = fireblocks.key_link_beta.set_agent_id(modify_signing_key_agent_id_dto, key_id);curl --request PATCH \
--url https://api.fireblocks.io/v1/key_link/signing_keys/{keyId}/agent_user_id \
--header 'Content-Type: application/json' \
--data '
{
"agentUserId": "d18847b5-1df6-4c46-8f99-5cce47284529"
}
'const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({agentUserId: 'd18847b5-1df6-4c46-8f99-5cce47284529'})
};
fetch('https://api.fireblocks.io/v1/key_link/signing_keys/{keyId}/agent_user_id', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>",
"code": 123
}Path Parameters
The unique identifier for the signing key provided by Fireblocks
Example:
"46a92767-5f93-4a46-9eed-f012196bb4fc"
Body
application/json
Id of user that represent agent servers which signs with the key
Required string length:
36Example:
"d18847b5-1df6-4c46-8f99-5cce47284529"
Response
Agent user id modification process has started in background.
Was this page helpful?
Previous
Get list of registered validation keysReturns the list of validation keys in the workspace
Next
⌘I
TypeScript
const response: Promise<FireblocksResponse<void>> = fireblocks.keyLinkBeta.setAgentId(keyLinkBetaApiSetAgentIdRequest);CompletableFuture<ApiResponse<Void>> response = fireblocks.keyLinkBeta().setAgentId(modifySigningKeyAgentIdDto, keyId);response = fireblocks.key_link_beta.set_agent_id(modify_signing_key_agent_id_dto, key_id);